# `abacusai.python_function`

## Module Contents

### Classes

`PythonFunction` | Customer created python function

class abacusai.python_function.PythonFunction(client, notebookId=None, name=None, createdAt=None, functionVariableMappings=None, functionName=None, pythonFunctionId=None, functionType=None, codeSource={})

  Bases: `abacusai.return_class.AbstractApiClass`

  Customer created python function

  Parameters:

    - client (ApiClient) – An authenticated API Client instance

    - notebookId (str) – The unique identifier of the notebook used to spin up the notebook upon creation.

    - name (str) – The name to identify the algorithm, only uppercase letters, numbers, and underscores allowed.

    - createdAt (str) – The ISO-8601 string representing when the Python function was created.

    - functionVariableMappings (dict) – A description of the function variables.

    - functionName (str) – The name of the Python function to be used.

    - pythonFunctionId (str) – The unique identifier of the Python function.

    - functionType (str) – The type of the Python function.

    - codeSource (CodeSource) – Information about the source code of the Python function.

  __repr__()

    Return repr(self).

  to_dict()

    Get a dict representation of the parameters in this class

    Returns:

      The dict value representation of the class parameters

    Return type:

      dict

  add_graph_to_dashboard(graph_dashboard_id, function_variable_mappings=None, name=None)

    Add a python plot function to a dashboard

    Parameters:

      - graph_dashboard_id (str) – Unique string identifier for the graph dashboard to update.

      - function_variable_mappings (dict) – List of arguments to be supplied to the function as parameters, in the format [{‘name’: ‘function_argument’, ‘variable_type’: ‘FEATURE_GROUP’, ‘value’: ‘name_of_feature_group’}].

      - name (str) – Name of the added python plot

    Returns:

      An object describing the graph dashboard.

    Return type:

      GraphDashboard